﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using DotNetNuke.Modules.NBrightStore.Components;
using NBrightDNN;
using NBrightDNN.controls;

namespace DotNetNuke.Modules.NBrightStore
{
	public class NBrightStoreBase : BasePage
	{
		public NBrightInfo NBSettings;
		public NBrightStoreController ModCtrl;
		public bool DebugMode = false;
		public string ModuleKey = "";
		public string ModuleAppType = "1";
		public string UploadFolder = "";
		public string SelUserId = "";

		protected override void OnInit(EventArgs e)
		{
			var obj = new NBrightStoreController();
			base.ObjCtrl = obj;

			ModCtrl = (NBrightStoreController)base.ObjCtrl;

			//add template provider to NBright Templating
            NBrightCore.providers.GenXProviderManager.AddProvider("NBrightStore,DotNetNuke.Modules.NBrightStore.Components.GenXmlTemplateExt");
			var pInfo = ModCtrl.GetInfoByGuidKey(PortalId, -1, "PROVIDERS", "NBrightTempalteProviders");
			if (pInfo != null)
			{
				NBrightCore.providers.GenXProviderManager.AddProvider(pInfo.XMLDoc);
			}

			base.OnInit(e);



		}

	}
}
